---
tags: community
title: "Talk: Thinking in Stories: Component-First"
description: "Storybook and Ember make quality friends."
date: 2022-04-19
image: /img/content/emberconf2022-thumb.png
pinned: true
---

[![EmberConf 2022 Introducing Ava Wroten](/img/content/emberconf2022.png)](https://2022.emberconf.com/speakers/ava-wroten)

> In these thirty minutes I will live-code a newly generated component with a CSF story that powers its own automation testing and accessibility checks. We’ll leverage Tailwind UI to demonstrate how quickly a beautiful and accessible component can be adapted into Stories powered by Ember. We will build precisely one component for this talk; but in doing so we will deeply explore the mindset behind every intentional step that can re-imagine how components are built by teams to power the next generation of ambitious web applications with solid footing.

_[“Slides”, relevant URL’s used in presentation](https://www.notion.so/hergaiety/Thinking-in-Stories-Component-First-66c7c795e4864ed0a81fddbf777a6f86)_

[![Still frame from a YouTube video of Ava presenting split-screen with a smile looking at the camera on the left and a web interface showing a web component built in Storybook on the right.](/img/content/emberconf2022-2.png)](https://www.youtube.com/watch?v=88xWS0QeJUo&list=PLE7tQUdRKcya7rPej9KkDwUpBkQXT7Lw5)

[Watch the recorded talk here](https://www.youtube.com/watch?v=88xWS0QeJUo&list=PLE7tQUdRKcya7rPej9KkDwUpBkQXT7Lw5)

## Talk given at:

[EmberConf 2022](https://2022.emberconf.com/)

